/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IArduinoatuador extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.arduinoatuador.ardsenid</code>.
     */
    public IArduinoatuador setArdsenid(Integer value);

    /**
     * Getter for <code>public.arduinoatuador.ardsenid</code>.
     */
    public Integer getArdsenid();

    /**
     * Setter for <code>public.arduinoatuador.fkardid</code>.
     */
    public IArduinoatuador setFkardid(Integer value);

    /**
     * Getter for <code>public.arduinoatuador.fkardid</code>.
     */
    public Integer getFkardid();

    /**
     * Setter for <code>public.arduinoatuador.fkatuid</code>.
     */
    public IArduinoatuador setFkatuid(Integer value);

    /**
     * Getter for <code>public.arduinoatuador.fkatuid</code>.
     */
    public Integer getFkatuid();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IArduinoatuador
     */
    public void from(com.tabajara.base.tables.interfaces.IArduinoatuador from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IArduinoatuador
     */
    public <E extends com.tabajara.base.tables.interfaces.IArduinoatuador> E into(E into);

    @Override
    public default IArduinoatuador fromJson(io.vertx.core.json.JsonObject json) {
        setArdsenid(json.getInteger("ardsenid"));
        setFkardid(json.getInteger("fkardid"));
        setFkatuid(json.getInteger("fkatuid"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("ardsenid",getArdsenid());
        json.put("fkardid",getFkardid());
        json.put("fkatuid",getFkatuid());
        return json;
    }

}
